﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<xsl:for-each select="//Restrictions/Restriction">
			<RuleMessage>
				<StatusApplicationControl>
					<xsl:attribute name="InvCode">
						<xsl:value-of select="typecode" />
					</xsl:attribute>
          <xsl:attribute name="RatePlanCode">
            <xsl:value-of select="preiscode" />
          </xsl:attribute>
					<xsl:attribute name="Start">
						<xsl:value-of select="von" />
					</xsl:attribute>
					<xsl:attribute name="End">
						<xsl:value-of select="bis" />
					</xsl:attribute>
				</StatusApplicationControl>
				<BookingRules>
          <BookingRule>
            <LengthsOfStay>
              <LengthOfStay>
                <xsl:attribute name="MinMaxMessageType">
                  <xsl:value-of select="los" />
                </xsl:attribute>
                <xsl:attribute name="Time">
                  <xsl:value-of select="dauer" />
                </xsl:attribute>
              </LengthOfStay>
            </LengthsOfStay>
            <RestrictionStatus>
              <xsl:attribute name="Restriction">
                <xsl:value-of select="einschraenkung" />
              </xsl:attribute>
              <xsl:attribute name="Status">
                <xsl:value-of select="statusr" />
              </xsl:attribute>
            </RestrictionStatus>
          </BookingRule>
				</BookingRules>														
			</RuleMessage>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="Restriction">
		<xsl:value-of select="typecode" />
    <xsl:value-of select="preiscode" />
		<xsl:value-of select="von" />		
		<xsl:value-of select="bis" />
    <xsl:value-of select="los" />    
    <xsl:value-of select="dauer" />
    <xsl:value-of select="einschraenkung" />   
    <xsl:value-of select="statusr" />
  </xsl:template>			
</xsl:transform>