﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<xsl:for-each select="//Rooms/Room">		
			<RateTypeID>
					<xsl:attribute name="id">
						<xsl:value-of select="preiscode" />
					</xsl:attribute>									
					<RoomTypeID>
						<xsl:attribute name="id">
							<xsl:value-of select="typecode" />
						</xsl:attribute>	
						<Date>
							<xsl:attribute name="value">
								<xsl:value-of select="von" />
							</xsl:attribute>
							<RoomAllotment>
								<xsl:value-of select="anz" />
							</RoomAllotment>					
						</Date>							
					</RoomTypeID>	
				</RateTypeID>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="Room">
		<xsl:value-of select="typecode" />
		<xsl:value-of select="preiscode" />		
		<xsl:value-of select="anz" />	
		<xsl:value-of select="von" />		
		<xsl:value-of select="bis" />		
	</xsl:template>			
</xsl:transform>