﻿using System.IO;

namespace Spider
{
    class SpiderRQ
    {
        public static string HotelInvCountNotifRQString(string path)
        {
            string invData = File.ReadAllText(path);
            
            string requestStr = @"<OTA_HotelInvCountNotifRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
    Target=""Production"" Version=""1.000""
    xmlns=""http://www.opentravel.org/OTA/2003/05""
    xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
    xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelInvCountNotifRQ.xsd"">
    <POS>
        <Source>
            <RequestorID ID=""" + HotSpiderSettings.hotelName + @""" MessagePassword=""" + HotSpiderSettings.password + @""">
            </RequestorID>
        </Source>
    </POS>
    <Inventories HotelCode=""" + HotSpiderSettings.hotelCode + @""" HotelName=""" + HotSpiderSettings.hotelName + @""">
    " + invData + @"</Inventories>
</OTA_HotelInvCountNotifRQ>";

            return requestStr;
        }

        public static string HotelRatePlanNotifRQString(string path)
        {
            string rateData = File.ReadAllText(path);
         
            string requestStr = @"<OTA_HotelRatePlanNotifRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
           Target=""Production"" Version=""1.000""
           xmlns=""http://www.opentravel.org/OTA/2003/05""
           xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
           xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelRatePlanNotifRQ.xsd"">
           <POS>
               <Source>
                   <RequestorID ID=""" + HotSpiderSettings.hotelName + @""" MessagePassword=""" + HotSpiderSettings.password + @""">
                   </RequestorID>
               </Source>
           </POS>
           <RatePlans HotelCode=""" + HotSpiderSettings.hotelCode + @""" HotelName=""" + HotSpiderSettings.hotelName + @""">
           " + rateData + @"</RatePlans>
       </OTA_HotelRatePlanNotifRQ>";

            return requestStr;
        }

        public static string HotelBookingRuleNotifRQString(string path)
        {
            string restData = File.ReadAllText(path);
          
            string requestStr = @"<OTA_HotelBookingRuleNotifRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
           Target=""Production"" Version=""1.000""
           xmlns=""http://www.opentravel.org/OTA/2003/05""
           xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
           xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelRatePlanNotifRQ.xsd"">
           <POS>
               <Source>
                   <RequestorID ID=""" + HotSpiderSettings.hotelName + @""" MessagePassword=""" + HotSpiderSettings.password + @""">
                   </RequestorID>
               </Source>
           </POS>
           <RuleMessages HotelCode=""" + HotSpiderSettings.hotelCode + @""" HotelName=""" + HotSpiderSettings.hotelName + @""">
           " + restData + @"</RuleMessages>
       </OTA_HotelBookingRuleNotifRQ>";

            return requestStr;
        }

//        public static string RetrievingInventoriesString(string start, string end)
//        {
//            string requestorID = HotSpiderSettings.requestorID;
//            string messagePassword = HotSpiderSettings.messagePassword;
//            string idContext = HotSpiderSettings.id_context;
//            string companyName = HotSpiderSettings.companyName;
//            string hotelCode = HotSpiderSettings.hotelCode;
//            string hotelName = HotSpiderSettings.hotelName;
//            string bookingChannel = HotSpiderSettings.bookingChannel;

//            string requestStr = @"<OTA_HotelInvCountRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
//    Target=""Production"" Version=""1.000""
//    xmlns=""http://www.opentravel.org/OTA/2003/05""
//    xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
//    xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelInvCountRQ.xsd"">
//    <POS>
//        <Source>
//            <RequestorID ID=""" + requestorID + @""" MessagePassword=""" + messagePassword + @""" ID_Context=""" + idContext + @""">
//                <CompanyName>" + companyName + @"</CompanyName>
//            </RequestorID>
//            <BookingChannel Type=""" + bookingChannel + @""" />
//        </Source>
//    </POS>
//    <HotelInvCountRequests>
//        <HotelInvCountRequest>
//            <DateRange Start=""" + start + @""" End=""" + end + @""" />
//            <RoomTypeCandidates>
//                <RoomTypeCandidate RoomID=""16167"" />    
//                <RoomTypeCandidate RoomID=""16168"" /> 
//                <RoomTypeCandidate RoomID=""16169"" />
//                <RoomTypeCandidate RoomID=""16170"" />           
//            </RoomTypeCandidates>
//            <HotelRef HotelCode=""2582"" />
//        </HotelInvCountRequest>
//    </HotelInvCountRequests>
//</OTA_HotelInvCountRQ>";

//            return requestStr;
//        }

//        public static string Reservation()
//        {
//            string requestorID = HotSpiderSettings.requestorID;
//            string messagePassword = HotSpiderSettings.messagePassword;
//            string idContext = HotSpiderSettings.id_context;
//            string companyName = HotSpiderSettings.companyName;
//            string hotelCode = HotSpiderSettings.hotelCode;
//            string hotelName = HotSpiderSettings.hotelName;
//            string bookingChannel = HotSpiderSettings.bookingChannel;

//            string requestStr = @"<OTA_ReadRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
//    Target=""Production"" Version=""2.000""
//    xmlns=""http://www.opentravel.org/OTA/2003/05""
//    xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
//    xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelBookingRuleNotifRQ.xsd"">
//    <POS>
//        <Source>
//            <RequestorID ID=""" + requestorID + @""" MessagePassword=""" + messagePassword + @""" ID_Context=""" + idContext + @""">
//                <CompanyName>" + companyName + @"</CompanyName>
//            </RequestorID>
//            <BookingChannel Type=""" + bookingChannel + @""" />
//        </Source>
//    </POS>
//    <ReadRequests>
//        <HotelReadRequest HotelCode=""" + hotelCode + @""" HotelName=""" + hotelName + @""">
//            <SelectionCriteria SelectionType=""Undelivered"" />
//        </HotelReadRequest>
//    </ReadRequests>
//</OTA_ReadRQ>";

//            return requestStr;
//        }

//        public static string Rooms()
//        {
//            string requestorID = HotSpiderSettings.requestorID;
//            string messagePassword = HotSpiderSettings.messagePassword;
//            string idContext = HotSpiderSettings.id_context;
//            string companyName = HotSpiderSettings.companyName;
//            string hotelCode = HotSpiderSettings.hotelCode;
//            string hotelName = HotSpiderSettings.hotelName;
//            string bookingChannel = HotSpiderSettings.bookingChannel;

//            string requestStr = @"<OTA_HotelDescriptiveInfoRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
//    Target=""Production"" Version=""1.000""
//    xmlns=""http://www.opentravel.org/OTA/2003/05""
//    xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
//    xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelDescriptiveInfoRQ.xsd"">
//    <POS>
//        <Source>
//            <RequestorID ID=""" + requestorID + @""" MessagePassword=""" + messagePassword + @""" ID_Context=""" + idContext + @""">
//                <CompanyName>" + companyName + @"</CompanyName>
//            </RequestorID>
//            <BookingChannel Type=""" + bookingChannel + @""" />
//        </Source>
//    </POS>
//    <HotelDescriptiveInfos>
//        <HotelDescriptiveInfo HotelCode=""" + hotelCode + @""" HotelName=""" + hotelName + @""">
//            <FacilityInfo SendGuestRooms=""true"" />
//        </HotelDescriptiveInfo>
//    </HotelDescriptiveInfos>
//</OTA_HotelDescriptiveInfoRQ>";

//            return requestStr;
//        }

//        public static string RatePlans()
//        {
//            string requestorID = HotSpiderSettings.requestorID;
//            string messagePassword = HotSpiderSettings.messagePassword;
//            string idContext = HotSpiderSettings.id_context;
//            string companyName = HotSpiderSettings.companyName;
//            string hotelCode = HotSpiderSettings.hotelCode;
//            string hotelName = HotSpiderSettings.hotelName;
//            string bookingChannel = HotSpiderSettings.bookingChannel;

//            string requestStr = @"<OTA_HotelRatePlanRQ PrimaryLangID=""en"" TimeStamp=""" + HotelInterfaceTools.TimeStamp() + @"""
//    Target=""Production"" Version=""1.000""
//    xmlns=""http://www.opentravel.org/OTA/2003/05""
//    xmlns:xsi=""http://www.w3.org/2001/XMLSchema-instance"" 
//    xsi:schemaLocation=""http://www.opentravel.org/OTA/2003/05 OTA_HotelDescriptiveInfoRQ.xsd"">
//    <POS>
//        <Source>
//            <RequestorID ID=""" + requestorID + @""" MessagePassword=""" + messagePassword + @""" ID_Context=""" + idContext + @""">
//                <CompanyName>" + companyName + @"</CompanyName>
//            </RequestorID>
//            <BookingChannel Type=""" + bookingChannel + @""" />
//        </Source>
//    </POS>
//    <RatePlans>
//        <RatePlan>
//            <HotelRef HotelCode=""" + hotelCode + @""" HotelName=""" + hotelName + @""" />
//        </RatePlan>
//    </RatePlans>
//</OTA_HotelRatePlanRQ>";

//            return requestStr;
//        }
    }
}
