﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<xsl:for-each select="//Rooms/Rate">		
				<RateTypeID>
					<xsl:attribute name="id">
						<xsl:value-of select="preiscode" />
					</xsl:attribute>									
					<RoomTypeID>
						<xsl:attribute name="id">
							<xsl:value-of select="typecode" />
						</xsl:attribute>															
						<Date>
							<xsl:attribute name="value">
							<xsl:value-of select="von" />
							</xsl:attribute>
							<Rate>
								<xsl:value-of select="preis" />
							</Rate>					
						</Date>				
						<Date>
							<xsl:attribute name="value">
								<xsl:value-of select="bis" />
							</xsl:attribute>
							<Rate>
								<xsl:value-of select="preis" />
							</Rate>					
						</Date>									
					</RoomTypeID>
				</RateTypeID>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="Bookings">
		<xsl:value-of select="BookingNumber" />
		<xsl:value-of select="Arrival" />		
		<xsl:value-of select="Departuere" />	
		<xsl:value-of select="NumberOfRooms" />		
		<xsl:value-of select="BookingDate" />		
	</xsl:template>			
</xsl:transform>