﻿// using System;
// using System.IO;

using System.Windows.Forms;
namespace SpiderRates
{
    class HotSpiderSettings
    {
        public static string localPath = @"C:\HoRes8\Hotel\";
        public static string ifcPath = @"C:\HoRes8\Hotel\ifc\internet\spider\";

        public static string oleDb = "F";

        public static string updates = "F";
        public static string rates = "F";
        public static string reservations = "F";

        public static string dBaseIV = "F";
        public static string vfp = "T";

        public static string provider = "Microsoft.Jet.OLEDB.4.0";
        public static string extProperties = "dBASE IV;";

        public static string vfpProvider = "VFPOLEDB";
        public static string extended = "";

        public static string requestorID = "Semper";
        public static string messagePassword = "aBruzywS7I";
        public static string id_context = "HoRes";
        public static string companyName = "Semper Hotelsoftware";

        public static string hotelCode = "";//"2582";
        public static string hotelName = "";//"Semper Test Hotel";
        public static string password = "aBruzywS7I";


        public static string bookingChannel = "4";

        public static void setConfiguration()
        {
            string[] strArray = null;
            string line = null;        

            System.IO.StreamReader file =
               new System.IO.StreamReader(Application.StartupPath + "\\IfcSettings.ini");

            while ((line = file.ReadLine()) != null)
            {
                strArray = line.Split('=');
                switch (strArray[0])
                {                   
                    case "localPath":
                        if (!strArray[1].Equals(""))
                            localPath = strArray[1];
                        break;                   
                    case "itfcPath":
                        if (!strArray[1].Equals(""))
                            ifcPath = strArray[1];
                        break;
                    case "password":
                        if (!strArray[1].Equals(""))
                            password = strArray[1];
                        break;
                    case "oleDb":
                        if (!strArray[1].Equals(""))
                            oleDb = strArray[1];
                        break;
                    case "updates":
                        if (!strArray[1].Equals(""))
                            updates = strArray[1];
                        break;                   
                    case "rates":
                        if (!strArray[1].Equals(""))
                            rates = strArray[1];
                        break;
                    case "reservations":
                        if (!strArray[1].Equals(""))
                            reservations = strArray[1];
                        break;
                    case "dBaseIV":
                        if (!strArray[1].Equals(""))
                            dBaseIV = strArray[1];
                        break;
                    case "Visual Foxpro":
                        if (!strArray[1].Equals(""))
                            vfp = strArray[1];
                        break;
                    case "Provider":
                        if (!strArray[1].Equals(""))
                            provider = strArray[1];
                        break;
                    case "Extended Properties":
                        if (!strArray[1].Equals(""))
                            extProperties = strArray[1];
                        break;
                    case "ProviderVFP":
                        if (!strArray[1].Equals(""))
                            vfpProvider = strArray[1];
                        break;
                    case "Extended":
                        if (!strArray[1].Equals(""))
                            extended = strArray[1];
                        break;
                    case "requestorID":
                        if (!strArray[1].Equals(""))
                            requestorID = strArray[1];
                        break;
                    case "messagePassword":
                        if (!strArray[1].Equals(""))
                            messagePassword = strArray[1];
                        break;
                    case "id_context":
                        if (!strArray[1].Equals(""))
                            id_context = strArray[1];
                        break;
                    case "companyName":
                        companyName = strArray[1];
                        break;
                    case "hotelCode":
                        if (!strArray[1].Equals(""))
                            hotelCode = strArray[1];
                        break;
                    case "hotelName":
                        if (!strArray[1].Equals(""))
                            hotelName = strArray[1];
                        break;
                    case "bookingChannel":
                        if (!strArray[1].Equals(""))
                            bookingChannel = strArray[1];
                        break;                
                }
            }
            file.Close();
        }       
    }
}
