﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8" standalone="yes"/>
	
	<xsl:template match="/">
    <Rates>
      <xsl:for-each select="//Rates/Rate">
        <Rate>
          <xsl:element name="typ">
            <xsl:value-of select="av_roomtyp" />
          </xsl:element>
          <xsl:element name="typecode">
            <xsl:value-of select="av_invcode" />
          </xsl:element>
          <xsl:element name="invtype">
            <xsl:value-of select="av_invtype" />
          </xsl:element>
          <xsl:element name="preiscode">
            <xsl:value-of select="av_ratcode" />
          </xsl:element>
          <xsl:element name="preisschicht">
            <xsl:value-of select="av_ratier" />
          </xsl:element>
          <xsl:element name="statusp">
            <xsl:value-of select="av_statusp" />
          </xsl:element>
          <xsl:element name="gaesteanzahl">
            <xsl:value-of select="av_anzgast" />
          </xsl:element>
          <xsl:element name="alterscode">
            <xsl:value-of select="av_agecode" />
          </xsl:element>
          <xsl:element name="preis">
            <xsl:value-of select="av_price" />
          </xsl:element>
          <xsl:element name="deci">
            <xsl:value-of select="av_decimal" />
          </xsl:element>
          <xsl:element name="waehrung">
            <xsl:value-of select="av_curency" />
          </xsl:element>                  
          <xsl:element name="datum">
            <xsl:value-of select="av_date" />
          </xsl:element>         
        </Rate>
      </xsl:for-each>
    </Rates>	
	</xsl:template>
	<xsl:template match="Room">
    <xsl:value-of select="av_roomtyp" />
		<xsl:value-of select="av_invcode" />
    <xsl:value-of select="av_invtype" />
    <xsl:value-of select="av_ratcode" />	
    <xsl:value-of select="av_ratier" />
    <xsl:value-of select="av_statusp" />
    <xsl:value-of select="av_anzgast" />
    <xsl:value-of select="av_agecode" />
    <xsl:value-of select="av_price" />
    <xsl:value-of select="av_decimal" />
    <xsl:value-of select="av_curency" />
    <xsl:value-of select="av_date" />
  </xsl:template>			
</xsl:transform>