﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8" standalone="yes"/>
	
	<xsl:template match="/">
    <Restrictions>
      <xsl:for-each select="//Restrictions/Restriction">
        <Restriction>
          <xsl:element name="typ">
            <xsl:value-of select="av_roomtyp" />
          </xsl:element>
          <xsl:element name="typecode">
            <xsl:value-of select="av_invcode" />
          </xsl:element>                                 
          <xsl:element name="preiscode">
            <xsl:value-of select="av_ratcode" />
          </xsl:element>         
          <xsl:element name="los">
            <xsl:value-of select="av_los" />
          </xsl:element>
          <xsl:element name="dauer">
            <xsl:value-of select="av_lostime" />
          </xsl:element>
          <xsl:element name="einschraenkung">
            <xsl:value-of select="av_reststa" />
          </xsl:element>
          <xsl:element name="statusr">
            <xsl:value-of select="av_statusr" />
          </xsl:element>                        
          <xsl:element name="datum">
            <xsl:value-of select="av_date" />
          </xsl:element>         
        </Restriction>
      </xsl:for-each>
    </Restrictions>	
	</xsl:template>
	<xsl:template match="Room">
    <xsl:value-of select="av_roomtyp" />
		<xsl:value-of select="av_invcode" />  
    <xsl:value-of select="av_ratcode" />	
    <xsl:value-of select="av_los" />
    <xsl:value-of select="av_lostime" />
    <xsl:value-of select="av_reststa" />
    <xsl:value-of select="av_statusr" />    
    <xsl:value-of select="av_date" />
  </xsl:template>			
</xsl:transform>