﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<RateTypeID>
			<xsl:attribute name="id">
				<xsl:value-of select="//Rates/Rate/av_ratcode" />
			</xsl:attribute>									
			<RoomTypeID>
				<xsl:attribute name="id">
					<xsl:value-of select="//Rates/Rate/av_invcode" />
				</xsl:attribute>
				<xsl:for-each select="//Rates/Rate">																					
					<Date>
						<xsl:attribute name="value">
							<xsl:value-of select="av_date" />
						</xsl:attribute>
						<Rate>
							<xsl:value-of select="av_price" />
						</Rate>					
					</Date>																						
					</xsl:for-each>
			</RoomTypeID>
		</RateTypeID>
	</xsl:template>
	<xsl:template match="Rate">
		<xsl:value-of select="av_invcode" />
		<xsl:value-of select="av_ratcode" />		
		<xsl:value-of select="av_price" />	
		<xsl:value-of select="av_date" />		
	</xsl:template>			
</xsl:transform>