﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
 
	<xsl:template match="/">    
		<xsl:for-each select="//Rates/Rate">
      <RatePlan>
        <xsl:attribute name="RatePlanCode">
          <xsl:value-of select="preiscode" />
        </xsl:attribute>
        <Rates>
          <Rate>
            <xsl:attribute name="RateTier">
              <xsl:value-of select="preisschicht" />
            </xsl:attribute>
            <xsl:attribute name="Start">
              <xsl:value-of select="von" />
            </xsl:attribute>
            <xsl:attribute name="End">
              <xsl:value-of select="bis" />
            </xsl:attribute>
            <xsl:attribute name="Status">
              <xsl:value-of select="statusp" />
            </xsl:attribute>
            <BaseByGuestAmts>
              <BaseByGuestAmt>
                <xsl:attribute name="AgeQualifyingCode">
                  <xsl:value-of select="alterscode" />
                </xsl:attribute>
                <xsl:attribute name="NumberOfGuests">
                  <xsl:value-of select="gaesteanzahl" />
                </xsl:attribute>
                <xsl:attribute name="AmountAfterTax">
                  <xsl:value-of select="preis" />
                </xsl:attribute>
                <xsl:attribute name="DecimalPlaces">
                  <xsl:value-of select="deci" />
                </xsl:attribute>
                <xsl:attribute name="CurrencyCode">
                  <xsl:value-of select="waehrung" />
                </xsl:attribute>
              </BaseByGuestAmt>
            </BaseByGuestAmts>          
          </Rate>
        </Rates>
        <SellableProducts>
          <SellableProduct>
            <xsl:attribute name="InvCode">
              <xsl:value-of select="typecode" />
            </xsl:attribute>
            <xsl:attribute name="InvType">
              <xsl:value-of select="invtype" />
            </xsl:attribute>
          </SellableProduct>
        </SellableProducts>
      </RatePlan> 
		</xsl:for-each>             
	</xsl:template> 
  
  <xsl:template match="Rate">
    <xsl:value-of select="typecode" />
    <xsl:value-of select="preiscode" />	
		<xsl:value-of select="preisschicht" />	
		<xsl:value-of select="von" />		
		<xsl:value-of select="bis" />	
		<xsl:value-of select="statusp" />
    <xsl:value-of select="alterscode" />
    <xsl:value-of select="gaesteanzahl" />
    <xsl:value-of select="preis" />
    <xsl:value-of select="deci" />
    <xsl:value-of select="waehrung" />
    <xsl:value-of select="invtype" />
  </xsl:template>			
</xsl:transform>