﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<xsl:for-each select="//Rooms/Room">
			<Inventory>
				<StatusApplicationControl>
					<xsl:attribute name="InvCode">
						<xsl:value-of select="typecode" />
					</xsl:attribute>
					<xsl:attribute name="Start">
						<xsl:value-of select="von" />
					</xsl:attribute>
					<xsl:attribute name="End">
						<xsl:value-of select="bis" />
					</xsl:attribute>
				</StatusApplicationControl>
				<InvCounts>
					<InvCount>	
						<xsl:attribute name="Count">
							<xsl:value-of select="anz" />
						</xsl:attribute>
            <xsl:attribute name="CountType">
              <xsl:value-of select="countype" />
            </xsl:attribute>
            <xsl:attribute name="ActionType">
              <xsl:value-of select="actype" />
            </xsl:attribute>
					</InvCount>
				</InvCounts>														
			</Inventory>			
			<Inventory>
				<StatusApplicationControl>
					<xsl:attribute name="InvCode">
						<xsl:value-of select="typecode" />
					</xsl:attribute>
					<xsl:attribute name="Start">
						<xsl:value-of select="von" />
					</xsl:attribute>
					<xsl:attribute name="End">
						<xsl:value-of select="bis" />
					</xsl:attribute>
				</StatusApplicationControl>
				<OffSell OffSellValue="0" />														
			</Inventory>		
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="Room">
		<xsl:value-of select="typecode" />	
		<xsl:value-of select="anz" />	
		<xsl:value-of select="von" />		
		<xsl:value-of select="bis" />
    <xsl:value-of select="countype" />
    <xsl:value-of select="actype" />
	</xsl:template>			
</xsl:transform>