﻿<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform"				
				version="2.0">	
	<xsl:output method="xml" indent="yes" version="1.0" encoding="UTF-8"/>
	
	<xsl:template match="/">
		<xsl:for-each select="//Rooms/Room">
			<Inventory>
				<StatusApplicationControl>
					<xsl:attribute name="InvCode">
						<xsl:value-of select="Typ" />
					</xsl:attribute>
					<xsl:attribute name="Start">
						<xsl:value-of select="von" />
					</xsl:attribute>
					<xsl:attribute name="End">
						<xsl:value-of select="bis" />
					</xsl:attribute>
				</StatusApplicationControl>
				<InvCounts>
					<InvCount CoutType="14" ActionType="Allocation">			<!-- Attribute ändern -->		
						<xsl:attribute name="Count">
							<xsl:value-of select="Anz" />
						</xsl:attribute>
					</InvCount>
				</InvCounts>														
			</Inventory>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="Room">
		<xsl:value-of select="Typ" />	
		<xsl:value-of select="Anz" />	
		<xsl:value-of select="von" />		
		<xsl:value-of select="bis" />		
	</xsl:template>			
</xsl:transform>